> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unique visitors

> Returns the total number of page views and unique visitors during the specified period.

**Required scopes:** `reports_read`


## OpenAPI

````yaml /api/reports/v3.6/openapi.json post /reports/customers/unique_visitors
openapi: 3.0.0
info:
  title: Reports API
  description: Access and extract all the Reports data available in Text.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6
    description: Production
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
tags:
  - name: Chats
  - name: Agents
  - name: Customers
  - name: Tags
paths:
  /reports/customers/unique_visitors:
    post:
      tags:
        - Customers
      summary: Unique visitors
      description: >-
        Returns the total number of page views and unique visitors during the
        specified period.
      operationId: post-customers-unique-visitors
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UniqueVisitorsRequest'
            example:
              filters:
                from: '2026-06-08T00:00:00-00:00'
                to: '2026-06-15T23:59:59-00:00'
        required: true
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UniqueVisitorsResponse'
              example:
                name: visitors-report
                summary:
                  unique_visitors: 4
                  page_views: 23
components:
  schemas:
    UniqueVisitorsRequest:
      type: object
      properties:
        filters:
          $ref: '#/components/schemas/CustomerFilters'
    UniqueVisitorsResponse:
      type: object
      properties:
        summary:
          type: object
          description: A report summary.
          properties:
            unique_visitors:
              type: integer
              description: The number of unique visitors.
            page_views:
              type: integer
              description: The number of page views.
    CustomerFilters:
      type: object
      description: >-
        Filters for customer reports. If none provided, the report spans the
        last seven days. If filters are provided, they must contain exactly one
        time-based filter (`from`/`to`).
      properties:
        from:
          type: string
          description: >-
            The start of the time range. Date and time format compatible with
            RFC3339 with optional microsecond resolution:
            `YYYY-MM-DDTHH:MM:SS.ssssss+HH:MM`.
        to:
          type: string
          description: >-
            The end of the time range. Date and time format compatible with
            RFC3339 with optional microsecond resolution:
            `YYYY-MM-DDTHH:MM:SS.ssssss+HH:MM`.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````